<script setup lang="ts" name="AddClass">
import { onMounted, reactive, ref, toRefs, watch } from "vue";

const props = defineProps<{
  modelValue: boolean;
  type: string;
}>();

const emit = defineEmits(["update:modelValue", 'cancel','confirm']);

const data = reactive({
  rules: {},
});

const { rules } = toRefs(data);

// 取消
const cancel = () => { 
  if (props.type === 'edit') { 
    
  }else if (props.type === 'add') { 
    
  }
  emit('cancel')
}

const confirm = () => {
  if (props.type === 'edit') { 
    
  }
  emit('confirm')
}


</script>

<template>
  <div>
    <el-form ref="formRef" :model="modelValue" label-width="100px">
      <el-form-item label="字典分类" required>
        <el-input v-model="modelValue.name" placeholder="请输入字典分类"></el-input>
      </el-form-item>
      <el-form-item label="备注">
        <el-input type="textarea" v-model="modelValue.name" placeholder="请输入备注" rows="2" maxlength="200" show-word-limit></el-input>
      </el-form-item>
    </el-form>
    <div class="btn">
      <el-button type="info" style="width: 150px;" @click="cancel">取消</el-button>
      <el-button type="primary" style="width: 150px;" @click="confirm">确认</el-button>
    </div>
  </div>
</template>

<style lang="scss" scoped>
.btn {
  padding: 20px;
  display: flex;
  justify-content: center;
}
</style>